<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.21.0/moment.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js"></script>
    
    <script src="js/servercommunication.js"></script>
    <script src="js/extension.js"></script>
    <script src="js/chartextension.js"></script>
    <script src="js/semantic.min.js"></script>
    <script src="js/semanticInit.js"></script>
    <script src="js/app.js"></script>
    <script src="js/tablesort.js"></script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.css">
    <link rel="shortcut icon" type="image/png" href="img/logo-fullres.png">
    <link rel="stylesheet" href="css/vendor/semantic.min.css">
    <link rel="stylesheet" href="css/style.css">

    <title>Plutos</title>
</head>
<body>
    <div class="wrapper">

        <!-- Header -->
        <header>
            <div class="logocontainer btn-page-home">
                <img src="img/logo-fullres.png" alt="logo">
                <h1>Plutos</h1>
            </div>
            <section class="account-icons">
                <a class="ui large label account-label">
                    <i class="user icon"></i>Joe
                </a>

                <!-- Open Sign In Form Button -->
                <button class="ui icon button btn-openlogin"><i class="sign-in icon"></i></button>

                <!-- Open Log Out ConfirmDialog Button -->
                <button class="ui icon button btn-logout"><i class="sign-out icon"></i></button>
                <!-- Logout Confirm Dialog -->
                <div class="ui mini modal modal-logout">
                    <div class="content">
                        <p>Do you really want to log out?</p>
                    </div>
                    <div class="actions">
                        <div class="ui buttons">
                            <button class="ui deny button active">Cancel</button>
                            <div class="or"></div>
                            <button class="ui positive button btn-logout-confirm">Log Out</button>
                        </div>
                    </div>
                </div>
            </section>
        </header>

        <!-- Navigation -->
        <nav>
            <!-- add class inverted for dark mode -->
            <div class="ui menu"> 
                <a class="item active btn-page-home">
                    Home
                </a>
                <a class="item btn-page-portfolio">
                    Portfolio
                </a>
                <a class="item btn-page-account">
                    Account
                </a>
            </div>
        </nav>


        <!-- - - - PAGES - - -> -->
        <div class="pagewrapper">
            <section class="page" id="page-home">
                <!--Start Page-->

                <table class="ui unstackable sortable simple table">
                  <thead>
                    <tr>
                        <th class="extra">#</th>
                        <th>Name</th>
                        <th>Price</th>
                        <th>24h % change</th>
                        <th class="extra">24h change</th>
                        <th class="extra">Market Cap</th>
                        <th class="extra">24h Volume</th>
                    </tr>
                  </thead>
                  <tbody id="market-coins">
                    <!-- <tr class="market-info-row">
                        <td class="coinname"><img class="market-info-img" src="#">Bitcoin</td>
                        <td>19999</td>
                        <td class="positive">3%</td>
                        <td class="positive">10%</td>
                        <td>100000</td>
                        <td>20000</td>
                        <td>20000</td>
                    </tr> -->
                  </tbody>
                </table>
                <div class="bottom-element">

                </div>
            </section>
            <section class="page" id="page-singleasset">
                <button class="btn-refresh btn-asset-refresh" onclick="refreshAssetPage(this.value)" value="bitcoin">
                    <i class="large sync alternate icon"></i>
                </button>

                <input class="sa-id" value="bitcoin" style="display:none">
                <header>
                    <img class="sa-img" src="#">
                    <h1 class="sa-header">
                        <div class="loader-cont">
                            <span class="large ui active loader"></span>
                        </div>
                    </h1>
                    <div class="btn-favorite"><i class="big icon heart outline"></i></div>
                </header>
                <div class="sa-informations">
                    <div class="cont-pricemarket">
                        <h2 class="sa-price">
                            <div class="loader-cont">
                                <span class="small ui active loader"></span>
                            </div>
                            $
                        </h2>
                        <h3 class="sa-market">
                            <div class="loader-cont">
                                <span class="tiny ui active loader"></span>
                            </div>
                            $
                        </h3>
                    </div>
                    <div class="cont-percentage">
                        <!-- <h2 class="sa-rank">1</h2> -->
                        <h2 class="sa-changeperc">
                            <div class="loader-cont">
                                <span class="small ui active loader"></span>
                            </div>
                            %
                        </h2>
                    </div>
                </div>
                <div class="chart">
                    <div class="chart-container" style="position: relative;">
                        <canvas id="sa-chart"></canvas>
                    </div>
                    <ul>
                        <li class="timeframeSingleAsset"><button class="ui button active">1d</button></li>
                        <li class="timeframeSingleAsset"><button class="ui button">1w</button></li>
                        <li class="timeframeSingleAsset"><button class="ui button">1m</button></li>
                        <li class="timeframeSingleAsset"><button class="ui button">1y</button></li>
                    </ul>
                </div>
                <div class="tableWrapper">
                    <div class="trxTable">
                        <div class="historytableheader">
                            <p>Transactions</p>
                            <button class="ui icon button" id="add-transaction">
                                <i class="plus icon"></i>
                            </button>
                        </div>
                        <table class="transactiontable ui unstackable very basic collapsing celled table">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Type</th>
                                    <th>Amount</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                    <div class="notifyTable">
                        <div class="historytableheader">
                            <p>Notifications</p>
                            <button class="ui icon button" id="add-notification">
                            <i class="plus icon"></i>
                            </button>
                        </div>
                        <table class="notificationtable ui unstackable very basic collapsing celled table">
                            <thead>
                                <tr>
                                    <th>Price</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                <!-- <tr>
                                    <td>
                                    <h4 class="ui header">
                                        <div class="content">0000</div>
                                    </h4>
                                    </td>
                                </tr> -->
                            </tbody>
                        </table>
                    </div>   
                </div>                
            </section>

            <section class="page" id="page-portfolio">
                <button class="btn-refresh btn-portfolio-refresh" onclick="refreshPortfolioPage()">
                    <i class="large sync alternate icon"></i>
                </button>
                <div class="po-informations">
                    <div class="cont-value">
                        <h2 class="portfolio-value">
                            <div class="loader-cont">
                                <span class="small ui active loader"></span>
                            </div>
                            $
                        </h2>
                    </div>
                    <div class="cont-percentage">
                        <h2 class="po-changeperc">
                            <div class="loader-cont">
                                <span class="tiny ui active loader"></span>
                            </div>
                            %
                        </h2>
                    </div>
                    <div class="consider-tx-container">
                        <button class="tiny ui toggle button toggle-consider-tx active">Consider Transactions</button>
                    </div>
                </div>
                <div class="chart">
                    <div class="chart-container">
                        <canvas id="portfolio-chart"></canvas>
                    </div>
                    <ul class="ui buttons">
                        <li class="timeframePortfolio"><button class="ui button active">1d</button></li>
                        <li class="timeframePortfolio"><button class="ui button">1w</button></li>
                        <li class="timeframePortfolio"><button class="ui button">1m</button></li>
                        <li class="timeframePortfolio"><button class="ui button">1y</button></li>
                    </ul>
                </div>

                <div class="pie-chart chart-container" style="position: relative;">
                    <canvas id="pieC"></canvas>
                </div>

                <table class="ui very basic unstackable celled table portfolio-table">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Price</th>
                        <th>Holdings</th>
                    </tr>
                    </thead>
                    <tbody id="portfolio-coins">
                        <tr class="portfolio-coin-row">
                            <td class="coinname">
                                <div class="price">
                                    <h2>
                                        <div class="loader-cont">
                                            <span class="small ui active loader"></span>
                                        </div>
                                    </h2>
                                </div>

                                <!-- <img src="#" alt="#">
                                <h2>Bitcoin</h2> -->
                            </td>
                            <td>
                                <div class="price">
                                    <h2>
                                        <div class="loader-cont">
                                            <span class="small ui active loader"></span>
                                        </div>
                                    </h2>
                                    <h3 class="negative">
                                    </h3>
                                </div>
                            </td>
                            <td>
                                <div class="holdings">
                                    <h2>
                                        <div class="loader-cont">
                                            <span class="small ui active loader"></span>
                                        </div>
                                    </h2>
                                    <h3>

                                    </h3>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>

            </section>
            <section class="page" id="page-account">
                <header>
                    <h1 class="accountName varusername">Account Name</h1>

                    <div class="ui selection dropdown currencydropdown">
                        <input type="hidden" name="currency">
                        <i class="dropdown icon"></i>
                        <div class="default text">Currency</div>
                        <div class="menu">
                            <div class="item" data-value="usd">USD</div>
                            <div class="item" data-value="eur">EUR</div>
                        </div>
                    </div>
                </header>

                <div class="ui container login">
                    <div class="ui segments">
                        <div class="ui segment username">
                            <div>
                                <p>username:</p>
                                <p class="varusername">Username</p>
                            </div>
                            <button class="ui button btn-change-username"><i class="edit icon"></i></button>
                        </div>
                        <div class="ui segment email">
                            <div>
                                <p>email:</p>
                                <p class="varemail">mail@mail.com</p>
                            </div>
                            <button class="ui button btn-change-email"><i class="edit icon"></i></button>
                        </div>
                    </div>
                </div>

                <div class="functionbuttons">
                    <button class="ui secondary basic button btn-change-password">Change Password</button>
                    <button class="ui negative basic button btn-remove-account">Delete Account</button>
                </div>
            </section>

            <!-- <section class="page" id="page-account-loggedout">
                <h1>Log in to see edit your account!</h1>
                <div class="ui fluid large teal button btn-openlogin">Login</div>
            </section> -->
        </div>
        <!-- <- - - PAGES - - - -->

        <!-- Footer -->
        <footer>
            <p>© 2021 Plutos</p>
            <p>Faltin Dominik, Pömmer Dominik</p>
        </footer>

    </div>


    <!-- Alert Messages -->
    <div class="alertmessage message-loggedin">
        <div class="ui green message">You are now logged in!</div>
    </div>
    <div class="alertmessage message-registered">
        <div class="ui green message">You registered a new user! <button class="ui basic button btn-openlogin">Login</button></div>
    </div>
    <div class="alertmessage message-loggedout">
        <div class="ui green message">You are now logged out!</div>
    </div>
    <div class="alertmessage message-generic">
        <div class="ui orange message">This is a message!</div>
    </div>

    <!-- Add Notification Modal -->
    <div class="ui basic modal" id="modal-notification">
        <div class="ui icon header">
            <p>
                <i>
                    <img class="sa-img" src="#">
                </i>
            </p>
            Add notification
        </div>
        <div class="content" style="text-align:center">
            <p>Price Level:</p>
            <div class="ui input">
                <input class="input-price" type="Number">
            </div>
        </div>
        <div class="actions" style="text-align:center">
            <div class="ui red basic cancel inverted button">
                <i class="remove icon"></i>
                Cancel
            </div>
            <div class="ui green ok inverted button confirm-notification">
                <i class="checkmark icon"></i>
                Confirm
            </div>
        </div>
    </div>

    <!-- Add Transaction Modal -->
    <div class="ui basic modal" id="modal-transaction">
        <div class="ui icon header">
            <p>
                <i>
                    <img class="sa-img" src="#">
                </i>
            </p>
            Add Transaction
        </div>
        <div class="content" style="text-align:center">
            <div class="ui input-fields">
                <div class="ui input">
                    <input type="Number" placeholder="Amount" class="input-amount">
                </div>
                <div class="ui input">
                    <input type="datetime-local" placeholder="Date" class="input-date">
                </div>
                <div class="ui input transaction-side">
                    <button class="ui left attached button active buy">Buy</button>
                    <button class="ui right attached button sell">Sell</button>
                </div>
            </div>
            <div class="actions" style="text-align:center">
                <div class="ui red basic cancel inverted button">
                    <i class="remove icon"></i>
                    Cancel
                </div>
                <div class="ui green ok inverted button confirm-transaction">
                    <i class="checkmark icon"></i>
                    Confirm
                </div>
            </div>
    </div>

    <!-- Confirm Modal For Removing Favorites -->
    <div class="ui mini modal modal-confirm-favorite">
      <div class="header">Remove Favorite?</div>
      <div class="content">
        <p>By removing the coin as your favorite, you will also remove any associated transaction.</p>
      </div>
      <div class="actions">
        <div class="ui cancel button">Cancel</div>
        <div class="ui approve button positive">Confirm</div>
      </div>
    </div>
    <!-- Confirm Modal For Removing Account -->
    <div class="ui mini modal modal-confirm-account">
        <div class="header">Delete Account?</div>
        <div class="content">
            <p>You will remove all associated data to your account. You will not be able to log in again.</p>
        </div>
        <div class="actions">
            <div class="ui cancel button">Cancel</div>
            <div class="ui approve button positive">Confirm</div>
        </div>
    </div>

    <!-- Change Password Modal -->
    <div class="ui mini modal modal-changepassword">
        <div class="header">Change Password</div>
        <div class="content">
            <form class="form-changepw" onsubmit="">
                <div class="field">
                    <div class="ui left icon input">
                        <i class="lock icon"></i>
                        <input type="password" class="current-password" name="current-password" placeholder="current password">
                    </div>
                </div>
                <div class="field">
                    <div class="ui left icon input">
                        <i class="lock icon"></i>
                        <input type="password" class="new-password" name="new-password" placeholder="new password">
                    </div>
                </div>
            </form>
        </div>
        <div class="actions">
            <div class="ui cancel button">Cancel</div>
            <div class="ui approve button positive btn-change-password-accept">Confirm</div>
        </div>
    </div>
    <!-- Change Username Modal -->
    <div class="ui mini modal modal-changeusername">
        <div class="header">Change Username</div>
        <div class="content">
            <form class="form-changeun" onsubmit="">
                <div class="field">
                    <div class="ui left icon input">
                        <i class="user icon"></i>
                        <input type="text" class="newusername" name="newusername" placeholder="new username">
                    </div>
                </div>
            </form>
        </div>
        <div class="actions">
            <div class="ui cancel button">Cancel</div>
            <div class="ui approve button positive btn-change-username-accept">Confirm</div>
        </div>
    </div>
    <!-- Change Email Modal -->
    <div class="ui mini modal modal-changeemail">
        <div class="header">Change EMail</div>
        <div class="content">
            <form class="form-changeem" onsubmit="">
                <div class="field">
                    <div class="ui left icon input">
                        <i class="mail icon"></i>
                        <input type="text" class="newemail" name="newemail" placeholder="new email">
                    </div>
                </div>
            </form>
        </div>
        <div class="actions">
            <div class="ui cancel button">Cancel</div>
            <div class="ui approve button positive btn-change-email-accept">Confirm</div>
        </div>
    </div>

    <!-- Login Form as Modal -->
    <div class="ui basic modal modal-login">
        <div class="ui middle aligned center aligned grid">
            <div class="column">
                <h2 class="ui teal image header">
                    <div class="content">Log In</div>
                </h2>
                <form class="ui large form form-login" onsubmit="onLoginPressed();return false">
                    <div class="ui stacked segment">
                        <div class="field">
                            <div class="ui left icon input">
                                <i class="user icon"></i>
                                <input type="text" name="username" placeholder="Username or E-Mail address">
                            </div>
                        </div>
                        <div class="field">
                            <div class="ui left icon input">
                                <i class="lock icon"></i>
                                <input type="password" name="password" placeholder="Password">
                            </div>
                        </div>
                        
                        <div class="ui approve fluid large teal button btn-login" onclick="onLoginPressed()">Login</div>
                    </div>
            
                    <!-- <div class="ui success message">
                        <div class="header">Login successful!</div>
                        <p>You are now logged into your account.</p>
                    </div> -->
                    <div class="ui error message"></div>
                    <div class="ui warning message warning-login">
                        <div class="header">Something is wrong...</div>
                        <ul class="list">
                            <li>User is not registered</li>
                            <li>Password doesn't match</li>
                        </ul>
                    </div>
                </form>
                
                <!-- <div class="actions">
                    <div class="ui approve fluid large teal button submit btn-login">Login</div>
                </div> -->
        
                <div class="ui message">
                    Don't have an account yet? <button class="ui basic button btn-openregister">Sign Up</button>
                </div>
            </div>
        </div>
    </div>
    
    <!-- Register Form as Modal -->
    <div class="ui basic modal modal-register">
      <div class="ui middle aligned center aligned grid">
        <div class="column">
          <h2 class="ui teal image header">
            <div class="content">Register</div>
          </h2>
          <form class="ui large form form-register" onsubmit="onRegisterPressed();return false">
            <div class="ui stacked segment">
              <div class="field">
                <div class="ui left icon input">
                  <i class="user icon"></i>
                  <input type="text" name="username" placeholder="Username">
                </div>
              </div>
              <div class="field">
                <div class="ui left icon input">
                  <i class="mail icon"></i>
                  <input type="text" name="email" placeholder="E-Mail">
                </div>
              </div>
              <div class="field">
                <div class="ui left icon input">
                  <i class="lock icon"></i>
                  <input type="password" name="password" placeholder="Password">
                </div>
              </div>
              <div class="ui approve fluid large teal button submit btn-register">Register</div>
            </div>
      
            <div class="ui error message"></div>
            <div class="ui warning message warning-register">
                <div class="header">Something is wrong...</div>
                <ul class="list">
                    <li>User is not registered</li>
                    <li>Password doesn't match</li>
                </ul>
            </div>
          </form>
      
          <div class="ui message">
            Already have an account? <button class="ui basic button btn-openlogin">Log In</button>
          </div>
        </div>
      </div>
    </div>
</body>
</html>